RUMP(3) | Library Functions Manual | RUMP(3)

# NAME

librump — Rump kernel base

# LIBRARY

rump kernel base (librump, -lrump)

# SYNOPSIS

#include <rump/rump.h>
#include <rump/rump_syscalls.h>

# DESCRIPTION

The base of a rumpkernel(7) is provided by the librump library. In addition to fundamental routines such as kernel memory allocators and locking, librump provides system call wrappers.
Like the rumpuser(3) library, librump is a mandatory component and is present in every rump kernel.

# SEE ALSO

rumpuser(3), rumpkernel(7)

December 1, 2014 | NetBSD 8.2